# $Revision: 1.17 $, $Date: 2004/01/30 17:20:26 $
Summary:	SETI@home screensaver for KDE
Summary(pl):	Wygaszacz ekranu SETI@home dla KDE
Name:		ksetisaver
Version:	0.3.4
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://www.frozenlight.de/content/ksetisaver/%{name}-%{version}.tar.gz
# Source0-md5:	2efb42aebea56b8a1fa55f37604e149f
URL:		http://www.frozenlight.de/
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.3
Requires:	kdebase-screensavers
Requires:	setiathome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _htmldir        /usr/share/doc/kde/HTML

%description
SETI@home screensaver for KDE.

%description -l pl
Wygaszacz ekranu SETI@home dla KDE.

%prep
%setup -q

mv -f po/{zh_CN.GB2312,zh_CN}.po
mv -f po/{zh_CN.GB2312,zh_CN}.gmo

%{__perl} -pi -e 's/zh_CN\.GB2312/zh_CN/g' po/Makefile.in
%{__perl} -pi -e 's/\[zh_CN\.GB2312\]/\[zh_CN\]/;s/\[no\]/\[nb\]/;s/\[no_NY\]/\[nn\]/' \
	ksetisaver/ksetisaver.desktop

%build
cp -f /usr/share/automake/config.* admin
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_appsdir="%{_applnkdir}"; export kde_appsdir
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/kscreensaver
mv $RPM_BUILD_ROOT%{_applnkdir}/System/ScreenSavers/* $RPM_BUILD_ROOT%{_datadir}/apps/kscreensaver

%find_lang ksetisaver --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ksetisaver.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/ksetisaver
%{_datadir}/apps/kscreensaver/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksetisaver.spec,v $
Revision 1.17  2004/01/30 17:20:26  qboosh
- refresh config.sub for amd64; release 3

Revision 1.16  2004/01/30 16:36:23  qboosh
- don't own kscreensaver directory
- some locale names fixes (zh_CN dir, more in .desktop file)
- release 2

Revision 1.15  2003/12/22 17:14:05  djurban
- updated to 0.3.4

Revision 1.14  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.13  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.12  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.11  2003/05/28 12:59:23  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/09 09:14:35  areq
- updated to 0.3.3

Revision 1.8  2003/04/08 13:40:04  mkierus
- fixed kde_appsdir

Revision 1.7  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.6  2002/12/17 21:18:57  mkierus
- updated to 0.3.2 (more improvements)

Revision 1.5  2002/12/16 20:38:53  mkierus
updated to 0.3.1

Revision 1.4  2002/08/31 14:50:04  blues
- release 2 - STBR

Revision 1.3  2002/07/29 00:37:15  blues
- fixed file list

Revision 1.2  2002/06/14 21:35:11  mkierus
- release 1

Revision 1.1  2002/06/11 18:28:58  mkierus
- initial pld release
